dbXML API

## com.dbxml.db.core.query.plan.logical
Class IntValue

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Value
                  com.dbxml.db.core.query.plan.logical.IntValue

public final class IntValue
extends Value

IntValue

Constructor Summary
`IntValue(byte value)`
`IntValue(char value)`
`IntValue(int value)`
`IntValue(long value)`
`IntValue(short value)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`long` `getValue()`

Methods inherited from class com.dbxml.db.core.query.plan.logical.Value
`newBooleanValue, newDateValue, newFloatValue, newFloatValue, newIntValue, newIntValue, newIntValue, newIntValue, newIntValue, newStringValue, newStringValue, newValueSet, newValueSet`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntValue

    public IntValue(long value)

### IntValue

    public IntValue(int value)

### IntValue

    public IntValue(short value)

### IntValue

    public IntValue(char value)

### IntValue

    public IntValue(byte value)

Method Detail

### getValue

    public long getValue()

### equals

    public boolean equals(java.lang.Object obj)

dbXML API

Copyright (c) 2004 The dbXML Group